CryptoServicesPermission (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto

## Class CryptoServicesPermission

- java.lang.Object
- - java.security.Permission
  - - org.bouncycastle.crypto.CryptoServicesPermission

- All Implemented Interfaces:
    java.io.Serializable, java.security.Guard

      public class CryptoServicesPermission
      extends java.security.Permission

  Permissions that need to be configured if a SecurityManager is used.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONSTRAINTS` Enable the setting of the constraints.
    `static java.lang.String` | `DEFAULT_RANDOM` Enable the setting of the default SecureRandom.
    `static java.lang.String` | `GLOBAL_CONFIG` Enable the setting of global configuration properties.
    `static java.lang.String` | `THREAD_LOCAL_CONFIG` Enable the setting of thread local configuration properties.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CryptoServicesPermission(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getActions()`
    `int` | `hashCode()`
    `boolean` | `implies(java.security.Permission permission)`

    - ### Methods inherited from class java.security.Permission

      `checkGuard, getName, newPermissionCollection, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### GLOBAL_CONFIG

          public static final java.lang.String GLOBAL_CONFIG

      Enable the setting of global configuration properties. This permission implies THREAD_LOCAL_CONFIG
      See Also:
        Constant Field Values

    - #### THREAD_LOCAL_CONFIG

          public static final java.lang.String THREAD_LOCAL_CONFIG

      Enable the setting of thread local configuration properties.
      See Also:
        Constant Field Values

    - #### DEFAULT_RANDOM

          public static final java.lang.String DEFAULT_RANDOM

      Enable the setting of the default SecureRandom.
      See Also:
        Constant Field Values

    - #### CONSTRAINTS

          public static final java.lang.String CONSTRAINTS

      Enable the setting of the constraints.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CryptoServicesPermission

          public CryptoServicesPermission(java.lang.String name)

  - ### Method Detail

    - #### implies

          public boolean implies(java.security.Permission permission)

      Specified by:
        `implies` in class `java.security.Permission`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Specified by:
        `equals` in class `java.security.Permission`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `java.security.Permission`

    - #### getActions

          public java.lang.String getActions()

      Specified by:
        `getActions` in class `java.security.Permission`